org.hibernate.search.cfg

## Class FullTextFilterDefMapping

- java.lang.Object
- - org.hibernate.search.cfg.FullTextFilterDefMapping

-     public class FullTextFilterDefMapping
      extends Object

  Mapping class responsible for collecting data for constructing FullTextFilterDef annotation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullTextFilterDefMapping(SearchMapping mapping, String name, Class<?> impl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `FullTextFilterDefMapping` | `cache(FilterCacheModeType cache)` Add cache implementation for fulltextfilterdef mapping
    `EntityMapping` | `entity(Class<?> entityType)`
    `FullTextFilterDefMapping` | `fullTextFilterDef(String name, Class<?> impl)`
    `NormalizerDefMapping` | `normalizerDef(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FullTextFilterDefMapping

          public FullTextFilterDefMapping(SearchMapping mapping,
                                          String name,
                                          Class<?> impl)

  - ### Method Detail

    - #### cache

          public FullTextFilterDefMapping cache(FilterCacheModeType cache)

      Add cache implementation for fulltextfilterdef mapping
      Parameters:
        `cache` - a `FilterCacheModeType` object.
      Returns:
        FullTextFilterDefMapping

    - #### fullTextFilterDef

          public FullTextFilterDefMapping fullTextFilterDef(String name,
                                                            Class<?> impl)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved